petsc-3.10.5 2019-03-28
Report Typos and Errors

# TSMonitorSolutionVTK

Monitors progress of the TS solvers by VecView() for the solution at each timestep.

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSMonitorSolutionVTK(TS ts,PetscInt step,PetscReal ptime,Vec u,void *filenametemplate)

Collective on TS

### Input Parameters

| ts | - the TS context
| step | - current time-step
| ptime | - current time
| u | - current state
| filenametemplate | - string containing a format specifier for the integer time step (e.g. %03D)

### Notes

The VTK format does not allow writing multiple time steps in the same file, therefore a different file will be written for each time step. These are named according to the file name template.

This function is normally passed as an argument to TSMonitorSet() along with TSMonitorSolutionVTKDestroy().

### Keywords

TS, vector, monitor, view

### See Also

TSMonitorSet(), TSMonitorDefault(), VecView()

### Level

intermediate

### Location

src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages